#include <stdio.h>

int main()
{
    int i , n , x , tempa , mini, maxi, t;
    scanf("%d %d",&n ,&x);
    mini = x;
    maxi = x;
    for(i=0;i<n;i++){
        scanf("%d",&tempa);
        if(tempa < mini){mini = tempa;}
        else if(tempa > maxi){maxi = tempa;}
    }
    if((x - mini)<(maxi - x)){t = 2 * ( x - mini ) + maxi - x;}
    else {t = 2 * ( maxi - x ) + x - mini;}
    
    printf("%d", t);
    return 0;
}